using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability371.Domain;

public class TaobaoTbkItemInfoTemporaryGetNTbkItem
{

    /*
        一级类目名称
    */
    private string? catName;


    /*
        商品ID
    */
    private string? numIid;


    /*
        商品标题
    */
    private string? title;


    /*
        商品主图
    */
    private string? pictUrl;


    /*
        商品小图列表
    */
    private IList<string>? smallImages;


    /*
        商品一口价格
    */
    private string? reservePrice;


    /*
        折扣价（元） 若属于预售商品，付定金时间内，折扣价=预售价
    */
    private string? zkFinalPrice;


    /*
        卖家类型，0表示集市，1表示商城，3表示特价版
    */
    private long? userType;


    /*
        商品所在地
    */
    private string? provcity;


    /*
        商品链接
    */
    private string? itemUrl;


    /*
        30天销量
    */
    private long? volume;


    /*
        店铺名称
    */
    private string? nick;


    /*
        叶子类目名称
    */
    private string? catLeafName;


    /*
        是否加入消费者保障
    */
    private bool? isPrepay;


    /*
        店铺dsr 评分
    */
    private long? shopDsr;


    /*
        卖家等级
    */
    private long? ratesum;


    /*
        退款率是否低于行业均值
    */
    private bool? iRfdRate;


    /*
        好评率是否高于行业均值
    */
    private bool? hGoodRate;


    /*
        成交转化是否高于行业均值
    */
    private bool? hPayRate30;


    /*
        是否包邮
    */
    private bool? freeShipment;


    /*
        商品库类型，支持多库类型输出，以英文逗号分隔“,”分隔，1:营销商品主推库，如果值为空则不属于1这种商品类型
    */
    private string? materialLibType;


    /*
        预售商品-商品优惠信息
    */
    private string? presaleDiscountFeeText;


    /*
        预售商品-付定金结束时间（毫秒）
    */
    private long? presaleTailEndTime;


    /*
        预售商品-付尾款开始时间（毫秒）
    */
    private long? presaleTailStartTime;


    /*
        预售商品-付定金结束时间（毫秒）
    */
    private long? presaleEndTime;


    /*
        预售商品-付定金开始时间（毫秒）
    */
    private long? presaleStartTime;


    /*
        预售商品-定金（元）
    */
    private string? presaleDeposit;


    /*
        聚划算满减  -结束时间（毫秒）
    */
    private long? juPlayEndTime;


    /*
        聚划算满减  -开始时间（毫秒）
    */
    private long? juPlayStartTime;


    /*
        1聚划算满减：满N件减X元，满N件X折，满N件X元）  2天猫限时抢：前N分钟每件X元，前N分钟满N件每件X元，前N件每件X元）
    */
    private string? playInfo;


    /*
        天猫限时抢可售  -结束时间（毫秒）
    */
    private long? tmallPlayActivityEndTime;


    /*
        天猫限时抢可售  -开始时间（毫秒）
    */
    private long? tmallPlayActivityStartTime;


    /*
        聚划算信息-聚淘开始时间（毫秒）
    */
    private string? juOnlineStartTime;


    /*
        聚划算信息-聚淘结束时间（毫秒）
    */
    private string? juOnlineEndTime;


    /*
        聚划算信息-商品预热开始时间（毫秒）
    */
    private string? juPreShowStartTime;


    /*
        聚划算信息-商品预热结束时间（毫秒）
    */
    private string? juPreShowEndTime;


    /*
        活动价
    */
    private string? salePrice;


    /*
        跨店满减信息
    */
    private string? kuadianPromotionInfo;


    /*
        是否品牌精选，0不是，1是
    */
    private string? superiorBrand;


    /*
        是否是热门商品，0不是，1是
    */
    private string? hotFlag;


    /*
        入参的商品ID或营销ID
    */
    private string? inputNumIid;



    [JsonPropertyName("cat_name")]
    public string? CatName
    {
        get => catName;
        set => this.catName = value;
    }

    [JsonPropertyName("num_iid")]
    public string? NumIid
    {
        get => numIid;
        set => this.numIid = value;
    }

    [JsonPropertyName("title")]
    public string? Title
    {
        get => title;
        set => this.title = value;
    }

    [JsonPropertyName("pict_url")]
    public string? PictUrl
    {
        get => pictUrl;
        set => this.pictUrl = value;
    }

    [JsonPropertyName("small_images")]
    public IList<string>? SmallImages
    {
        get => smallImages;
        set => this.smallImages = value;
    }

    [JsonPropertyName("reserve_price")]
    public string? ReservePrice
    {
        get => reservePrice;
        set => this.reservePrice = value;
    }

    [JsonPropertyName("zk_final_price")]
    public string? ZkFinalPrice
    {
        get => zkFinalPrice;
        set => this.zkFinalPrice = value;
    }

    [JsonPropertyName("user_type")]
    public long? UserType
    {
        get => userType;
        set => this.userType = value;
    }

    [JsonPropertyName("provcity")]
    public string? Provcity
    {
        get => provcity;
        set => this.provcity = value;
    }

    [JsonPropertyName("item_url")]
    public string? ItemUrl
    {
        get => itemUrl;
        set => this.itemUrl = value;
    }

    [JsonPropertyName("volume")]
    public long? Volume
    {
        get => volume;
        set => this.volume = value;
    }

    [JsonPropertyName("nick")]
    public string? Nick
    {
        get => nick;
        set => this.nick = value;
    }

    [JsonPropertyName("cat_leaf_name")]
    public string? CatLeafName
    {
        get => catLeafName;
        set => this.catLeafName = value;
    }

    [JsonPropertyName("is_prepay")]
    public bool? IsPrepay
    {
        get => isPrepay;
        set => this.isPrepay = value;
    }

    [JsonPropertyName("shop_dsr")]
    public long? ShopDsr
    {
        get => shopDsr;
        set => this.shopDsr = value;
    }

    [JsonPropertyName("ratesum")]
    public long? Ratesum
    {
        get => ratesum;
        set => this.ratesum = value;
    }

    [JsonPropertyName("i_rfd_rate")]
    public bool? IRfdRate
    {
        get => iRfdRate;
        set => this.iRfdRate = value;
    }

    [JsonPropertyName("h_good_rate")]
    public bool? HGoodRate
    {
        get => hGoodRate;
        set => this.hGoodRate = value;
    }

    [JsonPropertyName("h_pay_rate30")]
    public bool? HPayRate30
    {
        get => hPayRate30;
        set => this.hPayRate30 = value;
    }

    [JsonPropertyName("free_shipment")]
    public bool? FreeShipment
    {
        get => freeShipment;
        set => this.freeShipment = value;
    }

    [JsonPropertyName("material_lib_type")]
    public string? MaterialLibType
    {
        get => materialLibType;
        set => this.materialLibType = value;
    }

    [JsonPropertyName("presale_discount_fee_text")]
    public string? PresaleDiscountFeeText
    {
        get => presaleDiscountFeeText;
        set => this.presaleDiscountFeeText = value;
    }

    [JsonPropertyName("presale_tail_end_time")]
    public long? PresaleTailEndTime
    {
        get => presaleTailEndTime;
        set => this.presaleTailEndTime = value;
    }

    [JsonPropertyName("presale_tail_start_time")]
    public long? PresaleTailStartTime
    {
        get => presaleTailStartTime;
        set => this.presaleTailStartTime = value;
    }

    [JsonPropertyName("presale_end_time")]
    public long? PresaleEndTime
    {
        get => presaleEndTime;
        set => this.presaleEndTime = value;
    }

    [JsonPropertyName("presale_start_time")]
    public long? PresaleStartTime
    {
        get => presaleStartTime;
        set => this.presaleStartTime = value;
    }

    [JsonPropertyName("presale_deposit")]
    public string? PresaleDeposit
    {
        get => presaleDeposit;
        set => this.presaleDeposit = value;
    }

    [JsonPropertyName("ju_play_end_time")]
    public long? JuPlayEndTime
    {
        get => juPlayEndTime;
        set => this.juPlayEndTime = value;
    }

    [JsonPropertyName("ju_play_start_time")]
    public long? JuPlayStartTime
    {
        get => juPlayStartTime;
        set => this.juPlayStartTime = value;
    }

    [JsonPropertyName("play_info")]
    public string? PlayInfo
    {
        get => playInfo;
        set => this.playInfo = value;
    }

    [JsonPropertyName("tmall_play_activity_end_time")]
    public long? TmallPlayActivityEndTime
    {
        get => tmallPlayActivityEndTime;
        set => this.tmallPlayActivityEndTime = value;
    }

    [JsonPropertyName("tmall_play_activity_start_time")]
    public long? TmallPlayActivityStartTime
    {
        get => tmallPlayActivityStartTime;
        set => this.tmallPlayActivityStartTime = value;
    }

    [JsonPropertyName("ju_online_start_time")]
    public string? JuOnlineStartTime
    {
        get => juOnlineStartTime;
        set => this.juOnlineStartTime = value;
    }

    [JsonPropertyName("ju_online_end_time")]
    public string? JuOnlineEndTime
    {
        get => juOnlineEndTime;
        set => this.juOnlineEndTime = value;
    }

    [JsonPropertyName("ju_pre_show_start_time")]
    public string? JuPreShowStartTime
    {
        get => juPreShowStartTime;
        set => this.juPreShowStartTime = value;
    }

    [JsonPropertyName("ju_pre_show_end_time")]
    public string? JuPreShowEndTime
    {
        get => juPreShowEndTime;
        set => this.juPreShowEndTime = value;
    }

    [JsonPropertyName("sale_price")]
    public string? SalePrice
    {
        get => salePrice;
        set => this.salePrice = value;
    }

    [JsonPropertyName("kuadian_promotion_info")]
    public string? KuadianPromotionInfo
    {
        get => kuadianPromotionInfo;
        set => this.kuadianPromotionInfo = value;
    }

    [JsonPropertyName("superior_brand")]
    public string? SuperiorBrand
    {
        get => superiorBrand;
        set => this.superiorBrand = value;
    }

    [JsonPropertyName("hot_flag")]
    public string? HotFlag
    {
        get => hotFlag;
        set => this.hotFlag = value;
    }

    [JsonPropertyName("input_num_iid")]
    public string? InputNumIid
    {
        get => inputNumIid;
        set => this.inputNumIid = value;
    }

}

